var networkAPIFunctions = {

	/***/
	/*** Communication functions ***/
	/***/
	pauseNZB : function(nzbid) {
		ServerHandler.executeOperation("/nzb/"+nzbid+"/pause", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();	
			} else {
				alert("Failed to pause NZB");
			}
		});
	},
	
	resumeNZB : function(nzbid) {
		ServerHandler.executeOperation("/nzb/"+nzbid+"/resume", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed to resume NZB");
			}
		});
	},
	
	cancelNZB : function cancelNZB(nzbid, deleteNZB) {
		ServerHandler.executeOperation("/nzb/"+nzbid+"/"+(!deleteNZB?"cancel":"cancelDelete"), function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed to cancel NZB");
			}
		});
	},
		
	clearFinished : function() {

		ServerHandler.executeOperation("/nzb/clearFinished", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed to clear all finished NZBs");
			}
		});
	},
	
	pauseAll : function()
	{
		ServerHandler.executeOperation("/nzb/pause", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed pause all NZBs");
			}
		});
	},
	
	resumeAll : function()
	{
		ServerHandler.executeOperation("/nzb/resume", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed resume all NZBs");
			}
		});
	},
	
	cancelAll : function(deleteNZB)
	{
		ServerHandler.executeOperation("/nzb/"+(!deleteNZB?"cancel":"cancelDelete"), function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed to cancel all NZBs");
			}
		});
	},
	
	toggleSleepWhenDone : function()
	{
		ServerHandler.executeOperation("/sleepwhendone/"+(indexController.model.sleepwhendone?"disable":"enable"), function(statusCode, data) {		
			if (statusCode==200) {
				indexController.model.sleepwhendone = !indexController.model.sleepwhendone;
				indexController.updateFooterIcons();
			} else {
				alert("Failed to set Sleep When Done");
			}
		});
	},
	
	setSpeedLimit : function(limit, minutes)
	{
		ServerHandler.executeOperation("/speedlimit/enable?speed="+limit+(minutes?"&minutes="+minutes:""), function(statusCode, data) {		
			if (statusCode==200) {
				indexController.model.speedlimit_enabled = true;
				indexController.updateFooterIcons();
			} else {
				alert("Failed to set Speed Limit");
			}
		});		
	},
	
	disableSpeedLimit : function()
	{
		ServerHandler.executeOperation("/speedlimit/disable", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.model.sleepwhendone = !indexController.model.sleepwhendone;
				indexController.updateFooterIcons();
			} else {
				alert("Failed to disable Speed Limit");
			}
		});		
	},
	
	moveUpNZB : function(nzb)
	{
		ServerHandler.executeOperation("/nzb/"+nzb+"/moveup", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed move up NZB");
			}
		});
	},
	
	moveDownNZB : function(nzb)
	{
		ServerHandler.executeOperation("/nzb/"+nzb+"/movedown", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed move down NZB");
			}
		});
	},
	
	moveTopNZB : function(nzb)
	{
		ServerHandler.executeOperation("/nzb/"+nzb+"/movetop", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed move top NZB");
			}
		});
	},
	
	moveBottomNZB : function(nzb)
	{
		ServerHandler.executeOperation("/nzb/"+nzb+"/movebottom", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed move bottom NZB");
			}
		});
	},
	
	downloadNZBNext : function(nzb)
	{
		ServerHandler.executeOperation("/nzb/"+nzb+"/downloadnext", function(statusCode, data) {		
			if (statusCode==200) {
				indexController.tmrUIUpdateTick();
			} else {
				alert("Failed to set NZB to download next");
			}
		});
	},
}